Taiga
API ReferenceOrganizationProvidersV3

List providers

GET
/api/organization-providers/v3

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Query Parameters

limit?|

Limit the number of results returned. Defaults to 100.

search_term?|

Filter to a name or a part of a name.

npi?|

Filter to a specific NPI.

is_rendering?|

Filter to only rendering providers.

is_billing?|

Filter to only billing providers.

organization_provider_ids?array<|null>

Filter to the provided organization provider IDs.

page_token?|

The page token to continue paging through a previous request.

sort?|

Defaults to PROVIDER_NAME_ASC.

Response Body

application/json

curl -X GET "https://example.com/api/organization-providers/v3?limit=100&search_term=john&npi=1234567890&is_rendering=true&is_billing=true&page_token=eyJ0b2tlbiI6IjEiLCJwYWdlX3Rva2VuIjoiMiJ9&sort=provider_name%3Aasc"
{  "items": [    {      "npi": "1234567890",      "is_rendering": true,      "is_billing": true,      "first_name": "John",      "last_name": "Doe",      "organization_name": "Acme Medical",      "provider_type": "INDIVIDUAL",      "tax_id": "123456789",      "taxonomy_code": "1234567890",      "license_type": "MD",      "employment_start_date": "2020-10-07",      "employment_termination_date": "2021-10-07",      "organization_provider_id": "965A563A-0285-4910-9569-E3739C0F6EAB",      "qualifications": [        {          "identifier_id": "123e4567-e89b-12d3-a456-426614174000",          "identifier_code": "MCR",          "identifier_value": {            "type": "medicare_provider_identifier",            "state": "CA",            "provider_number": "1234567890"          }        }      ]    }  ]}